<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/activity_main_add_bottom_sheet_menu"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#ffffff"
    android:gravity="center"
    android:orientation="vertical"
    app:layout_behavior="android.support.design.widget.BottomSheetBehavior">

    <TextView
        fontPath="fonts/lato-bold.ttf"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="left"
        android:padding="16dp"
        android:text="@string/activity_main_add_new_reading" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:onClick="onGlucoseFabClicked"
            android:orientation="vertical"
            android:padding="16dp">

            <ImageView
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_gravity="center"
                android:src="@drawable/add_circle_glucose" />

            <TextView
                fontPath="fonts/lato-bold.ttf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingTop="8dp"
                android:text="@string/fab_glucose"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:onClick="onHB1ACFabClicked"
            android:orientation="vertical"
            android:padding="16dp">

            <ImageView
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_gravity="center"
                android:src="@drawable/add_circle_a1c" />

            <TextView
                fontPath="fonts/lato-bold.ttf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingTop="8dp"
                android:text="@string/fab_HB1AC"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:onClick="onWeightFabClicked"
            android:orientation="vertical"
            android:padding="16dp">

            <ImageView
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_gravity="center"
                android:src="@drawable/add_circle_weight" />

            <TextView
                fontPath="fonts/lato-bold.ttf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingTop="8dp"
                android:text="@string/fab_weight"
                android:textSize="12sp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:background="?attr/selectableItemBackgroundBorderless"
            android:onClick="onRestaurantFabClicked"
            android:orientation="vertical"
            android:padding="16dp">

            <ImageView
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_gravity="center"
                android:src="@drawable/ic_restaurant"/>

            <TextView
                fontPath="fonts/lato-bold.ttf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:paddingTop="8dp"
                android:text="@string/fab_restaurant"
                android:textSize="12sp" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>